API ReferenceReport
Get history metadata for finished checks
GET
/v1/chatbot/report/history/metadataReturns high-level metadata (creation date, available languages, symptoms, main symptom or checked illness) for the requested checks. All checks must belong to your credentials. This endpoint works only for finished checks.
Authorization
BearerToken AuthorizationBearer <token>
Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Query Parameters
checkIds*array<string>
Array of check IDs to get history metadata for.
Header Parameters
language*string
The expected language of the response.
Response Body
application/json
curl -X GET "https://example.com/v1/chatbot/report/history/metadata?checkIds=0782532f-4c15-4c42-9be4-8e51a36db845&checkIds=64a89abc-ea17-4bcf-bdc4-51cfe3e21d08" \ -H "authorization: Bearer <token>" \ -H "language: en"{ "count": 2, "items": [ { "date": "2022-11-27T11:30:51.349Z", "availableLanguages": [ "en", "de", "de-formal" ], "symptoms": [ { "id": "5e63f95e-ef3b-42ce-9027-ff6e021e19ef", "name": "Abdominal pain" }, { "id": "67181a30-0441-45b7-bf82-38130b9c2cca", "name": "Fever" } ], "mainSymptom": { "id": "5e63f95e-ef3b-42ce-9027-ff6e021e19ef", "name": "Abdominal pain" } }, { "date": "2022-11-27T12:25:54.246Z", "availableLanguages": [ "en", "de", "de-formal" ], "symptoms": [ { "id": "3416dc71-b330-4b85-bc21-ef33ba0b3369", "name": "Headache" }, { "id": "a4ae4c01-b581-4dec-a205-c0f77f904ccc", "name": "Cough" } ], "checkedIllness": { "id": "8821d3e3-e461-465e-aacd-1948ddac9384", "name": "COVID-19 infection" } } ]}Last updated on